Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Measurements

Create Measurement

post
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Header parameters
api-versionstringOptional
younium-idempotency-keystringOptional
younium-idempotency-durationInHoursintegerOptional
Body
fromDatestring · date-timeRequired
quantitynumber · doubleOptional
tagstring · nullableOptional
validateDatabooleanOptional
Responses
201

Created

No content

post/Measurements
POST /Measurements HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 223

{
  "account": "A-000001",
  "order": "O-000001",
  "product": "OP-000001",
  "charge": "OPC-000001",
  "fromDate": "2026-01-01T00:00:00.000Z",
  "quantity": 1,
  "tag": "text",
  "customFields": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "validateData": true
}

No content

Get Measurements

get
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
FilterstringOptional

Filter the results. See developer resources for more information. On endpoints whose entity supports custom fields you can also filter by custom field: customFieldEq('fieldName', 'value') (equals) or customFieldExist('fieldName') (field has a non-empty value). Custom-field functions may only be combined with and.

Example: name eq 'Adam' and age gt 20 and customFieldEq('region', 'EU')
OrderBystringOptional

Sorting the results. See developer resources for more information

Example: accountNumber Desc
ModifiedAfterstring · date-timeOptional

Apply a separate modified After filter. See 'ModifiedBefore' filter for further details.

Example: 2026-11-01
ModifiedBeforestring · date-timeOptional

Apply a separate filter to only get records that has been modified Before the specified date time.

Example: 2026-11-01
PageSizeinteger · int32Optional

Page Size

Example: 20
PageNumberinteger · int32Optional

Page Number

Example: 1
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
pageNumberinteger · int32Optional
pageSizeinteger · int32Optional
totalPagesinteger · int32 · nullableOptional
totalCountinteger · int32Optional
nextPagestring · uri · nullableOptional
previousPagestring · uri · nullableOptional
firstPagestring · uri · nullableOptional
lastPagestring · uri · nullableOptional
get/Measurements
GET /Measurements HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "pageNumber": 1,
  "pageSize": 1,
  "totalPages": 1,
  "totalCount": 1,
  "nextPage": "https://example.com",
  "previousPage": "https://example.com",
  "firstPage": "https://example.com",
  "lastPage": "https://example.com",
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "account": {
        "name": "text",
        "accountNumber": "text",
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "externalERPId": "text",
        "externalCRMId": "text"
      },
      "order": {
        "orderNumber": "text",
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "externalERPId": "text",
        "externalCRMId": "text"
      },
      "product": {
        "description": "text",
        "productNumber": "text",
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "externalERPId": "text",
        "externalCRMId": "text"
      },
      "charge": {
        "name": "text",
        "chargeNumber": "OPC-000001",
        "description": "text",
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "externalERPId": "text",
        "externalCRMId": "text"
      },
      "importDate": "2026-01-01T00:00:00.000Z",
      "fromDate": "2026-01-01T00:00:00.000Z",
      "quantity": 1,
      "tag": "text",
      "created": "2026-01-01T00:00:00.000Z",
      "modified": "2026-01-01T00:00:00.000Z",
      "customFields": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    }
  ]
}

Import Measurements

post

Import measurement Data in csv or json format.

Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Header parameters
api-versionstringOptional
younium-idempotency-keystringOptional
younium-idempotency-durationInHoursintegerOptional
Body
mappingTemplateNamestring · min: 1Required
dateFormatstring · nullableOptional
decimalSeparatorstring · nullableOptional
dataFormatstring · nullableOptional
batchNamestring · nullableOptional
dataanyRequired
usePreprocessingRulesbooleanOptional
allowDuplicateEntriesbooleanOptional
breakOnValidationErrorbooleanOptional
Responses
200

Success

application/json
importDataTypestring · nullableOptional
batchIdstring · uuid · nullableOptional
hasErrorsbooleanOptional
post/Measurements/import
POST /Measurements/import HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 215

{
  "mappingTemplateName": "text",
  "dateFormat": "text",
  "decimalSeparator": "text",
  "dataFormat": "text",
  "batchName": "text",
  "data": null,
  "usePreprocessingRules": true,
  "allowDuplicateEntries": true,
  "breakOnValidationError": true
}
{
  "importDataType": "text",
  "batchId": "123e4567-e89b-12d3-a456-426614174000",
  "hasErrors": true,
  "errors": []
}

Get Measurements by Id

get
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
idstring · uuid · nullableOptional
importDatestring · date-timeOptional
fromDatestring · date-timeOptional
quantitynumber · doubleOptional
tagstring · nullableOptional
createdstring · date-timeOptional
modifiedstring · date-timeOptional
get/Measurements/{id}
GET /Measurements/{id} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "account": {
    "name": "text",
    "accountNumber": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "externalERPId": "text",
    "externalCRMId": "text"
  },
  "order": {
    "orderNumber": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "externalERPId": "text",
    "externalCRMId": "text"
  },
  "product": {
    "description": "text",
    "productNumber": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "externalERPId": "text",
    "externalCRMId": "text"
  },
  "charge": {
    "name": "text",
    "chargeNumber": "OPC-000001",
    "description": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "externalERPId": "text",
    "externalCRMId": "text"
  },
  "importDate": "2026-01-01T00:00:00.000Z",
  "fromDate": "2026-01-01T00:00:00.000Z",
  "quantity": 1,
  "tag": "text",
  "created": "2026-01-01T00:00:00.000Z",
  "modified": "2026-01-01T00:00:00.000Z",
  "customFields": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}

Last updated